<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.NoMMap Property
DatabaseEnvironment Class See Also Send Feedback

If true, Berkeley DB copies read-only database files into the local cache instead of potentially mapping them into process memory.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool NoMMap { get; set; }

Visual Basic (Declaration)

    Public Property NoMMap As Boolean

Visual C++

    public:
    property bool NoMMap {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace
DatabaseEnvironment..::.MMapSize